Subject: Re: [TLS] ML-KEM key agreement for TLS 1.3

From: Rob Sayre <[email-masked]>
Date: Wed, 6 Mar 2024 10:48:02 -0800

On Wed, Mar 6, 2024 at 9:22 AM Eric Rescorla <[email-masked]> wrote:

>
>
> On Wed, Mar 6, 2024 at 8:49 AM Deirdre Connolly <[email-masked]>
> wrote:
>
>> > Can you say what the motivation is for being "fully post-quantum"
>> rather than hybrid?
>>
>> Sure: in the broad scope, hybrid introduces complexity in the short-term
>> that we would like to move off of in the long-term - for TLS 1.3 key
>> agreement this is not the worst thing in the world and we can afford it,
>> but hybrid is by design a hedge, and theoretically a temporary one.
>>
>
> My view is that this is likely to be the *very* long term.
>

Also, the ship has sailed somewhat, right? Like Google Chrome, Cloudflare,
and Apple iMessage already have hybrids shipping (I'm sure there many more,
those are just really popular examples). The installed base is already very
big, and it will be around for a while, whatever the IETF decides to do.

thanks,
Rob